
QGIS Application - Bug report #3518

Spatial Query not selecting points in complex polygons

2011-02-23 06:03 AM - fyford -

Status: Closed

Priority: Low

Assignee: Luiz Motta

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 13578

Description

Hi, I've noticed that when I select points within a polygon with a popular GIS (debateable) I have a higher hitrate than when doing the

same in QGIS. After investigating the differences I found that with complex polygons - see attached images (The layer used was the UK's

Ordinance and Survey's Master Map) points were ignored by QGIS and not by the other. I thought I'd take the time to let you know.

Cheers

Francois

History

#1 - 2011-10-07 09:07 AM - Giovanni Manghi

- Assignee set to Luiz Motta

- Target version deleted (Version 1.7.0)

- Pull Request or Patch supplied set to No

#2 - 2011-12-16 02:12 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#3 - 2012-04-16 06:26 AM - Paolo Cavallini

- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

- Target version changed from Version 1.7.4 to Version 1.8.0

#4 - 2012-09-04 11:59 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#5 - 2014-06-28 07:38 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#6 - 2015-11-20 01:24 AM - Médéric RIBREUX

- Status changed from Open to Feedback

Hello, bug triage...

I can't reproduce it on QGIS 2.13 with a complex polygon (with holes).

I think we can close it but let me know if you can test it against your data.
#7 - 2015-12-20 05:11 AM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to worksforme

closing for lack of feedback.
